27th September 2004                               Sylpheed-Claws 0.9.12b

		    SYLPHEED-CLAWS  RELEASE NOTES
                      http://claws.sylpheed.org

This release of Sylpheed-Claws is based on version 0.9.12cvs14 of the
main Sylpheed branch.

Sylpheed-Claws 0.9.12b is an interim release and fixes several bugs
that appeared in the 0.9.12a release.

Notes for this release:
~~~~~~~~~~~~~~~~~~~~~~~

* In the Message List the Attachment column will now only display
  an icon once the whole message has been accessed. This may be
  by the Clam AntiVirus or SpamAssassin plugins, the filtering
  mechanism, or on first opening the message.
		  
New in this release:
~~~~~~~~~~~~~~~~~~~~

* GnuPG: The Combined encryption/signature method is now supported.
  See RFC 2015, Section 6.2

* drag 'n' drop support has been added to the address book

* A hidden 'mark_as_read_delay' option has been added, (see sylpheedrc)

* SpamAssassin plugin has been updated to SpamAssassin 3.0.0

* updated Japanese translation.

* Bug fixes, including the following:
	o bug 197 'Header lines encrypted using PGP/Inline'
	o bug 532 'unduplicated accelerators'
	o bug 567 'freeze during ldap search after adding ldap server'
	o bug 569 'display problem after making a LDAP search in the 
	           adress book'
	o bug 582 'Auto-account selection breaks with multiple To: addresses'
	
	o Fix memory corruption when entering procmsg_msginfo_free()
	  with unitialized msginfo.
	o Fix uninitialized variables
	o Fix bug with aspell prefs init, where spell checking
	  is enabled at first but dictionary not specified. Use
	  LANG's dictionary by default.
	o Fix graying out Redirect in non english languages
	o add NULL pointer checks to fix segfault when messages can
	  not be fetched
	o Fix segfaults when quitting

For further details of the numbered bugs listed above consult
www.thewildbeast.co.uk/sylpheed-claws/bugzilla/index.cgi

Notes for the 0.9.12a release:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

* The message cache format has changed and, therefore, users will 
  notice a delay upon entering folders for the first time on running 
  this release as the caches are updated.
  If you encounter any problems, use 'Rebuild Folder Tree' and/or 
  'Check for new messages'.

* For SSL support OpenSSL >= 0.9.7 is now required

* A PGP/MIME plugin has been added. This verifies signatures and 
  decrypts messages; signing and encrypting of messages is still 
  handled internally. To use this plugin you will need to build
  with the --enable-gpgme configure switch, and then load the
  plugin, pgpmime.so, '/Configuration/Plugins/Load Plugin'.

* In the Compose window '/Message/Save and keep editing' has been
  replaced by '/File/Save'

* Message Wrapping options have been moved to
  '/Other Preferences/Compose/Message Wrapping'

* Message Colouring options have been moved to
  '/Other Preferences/Message View/Colors'

 		
New in the 0.9.12a release:
~~~~~~~~~~~~~~~~~~~~~~~~~~~

* Partial downloading of POP3 mails has been added. 
  This changes the old behaviour of the POP3 message size limit, 
  ('/[Account preferences]/Receive/Message size limit'), which was to
  skip the message and leave it on the server. Now messages over the
  limit will be partially retrieved. These messages will have a 
  Notice View displayed (above the Message View), informing of the 
  partially retrieved state and the total size of the message. The 
  Notice View will also contain two buttons, 'Mark for download' and
  'Mark for deletion'. If the user clicks 'Mark for download', the 
  message will be downloaded in full at the next message retrieval, 
  (and the partial one deleted); if the user checks 'Mark for 
  deletion' it will be removed from the server after the normal delay
  as specified in the POP3 account's 'Receive' preferences.
  If a user moves a partially retrieved message to the Trash folder 
  it will be deleted on the server at the next retrieval after the 
  Trash folder has been emptied.

* Use of SMTP Message Size Declaration has been added.
  If the server supports it, oversize messages will not be sent and
  the maximum allowed message size will be displayed in the log, 
  ('/Tools/Log window/').

* QuickSearch: A 'Clear' button has been added which clears the
  current search term and reloads the message list. (keyboard 
  shortcut: 'Esc')
  
* QuickSearch: A hidden summary_quicksearch_sticky preference has 
  been added, (see sylpheedrc), which allows the quicksearch bar to
  reset when changing folders. The default is to not reset.

* Icons have been added to the Alert panels

* Support for Freedesktop.org's startup notification has been added.

* TrayIcon Plugin: a context menu with most common operations has 
  been added.
 
* updated translations: Brazilian Portuguese, French, Polish, Serbian, 
  Slovak, and Spanish. 

* Bug fixes, including the following:
	o bug 494 'Messages are always opened in summary view when 
	           right clicked.'
	o bug 502 'drafted message does not keep sign / encrypt 
	           state'
	o bug 508 'Message view appears after marking message as 
	           read'
	o bug 519 'filtering expr. in quicksearch'
	o bug 520 '"<Forward>/Redirect" not grayed out'
	o Bug 521 'Signature checking slows down Folder-Move'
	o Bug 531 'SA plugin: status bar does not get cleared in 
	           OFFLINE mode'
	o bug 574 'Bug is automatic definition charset'
	o bug 576 'Duplicate auto-bcc header on reedit'
	o fix focus when hitting Enter Quick Search
	o terminate cleanly on SIGHUP
	o replace "Message-Id" with "Message-ID"
	o fix freeze on mime icon doubleclick
	o fix updating of gpg signing setting on switching accounts
	o fix auto-account selection on imap/news
	o disable immediate folder change notification on opened 
	  folders
	
For further details of the numbered bugs listed above consult
www.thewildbeast.co.uk/sylpheed-claws/bugzilla/index.cgi
		   
* and other code reorganisation, cleanups, and more.

CLAWS' EXTRA FEATURES
~~~~~~~~~~~~~~~~~~~~~
* Plugin mechanism
* filtering/processing mechanism
* Reply-finder
* new message cache system
* new sort function
* new MIME parser
* pop before smtp authentication
* Automatic saving of message when composing
* signature in the message view can be coloured
* built-in gdb crash handler
* Customisable toolbars
* quick search function
* Folder colour setting
* Font configuration
* Icon theming
* Spell checking (with aspell)
* automatic account selection
* 'smart' wrapping
* message scoring
* hide read messages
* mbox support
* filtering engine for IMAP folders
* IMAP over SSH Tunnel
* IMAP: UIDPLUS extension support
* IMAP: CAPABILITY support
* Request Return-Receipt
* ability to change folder order
* extra Folder Properties:
  Return-Receipt, save messages,
  default To:, default address for replies,
  subject simplification, Process at startup
  folder CHMOD, default account
  'Apply to subfolders' checkbox
* revised compose window
* revised message/attachment window
* manual selection of MIME type and encoding
  for attachments
* 'ignore thread'
* improved clickable URL support
* new mail notification
* selective download [temporarily removed]
* 7bit and 8bit encoding of attachments
* NNTP: auto-mark cross-posted messages
* configurable (non-)display of images
* --online and --offline command-line switches
* User-definable quotation characters
* Individual signature settings per account
* display url in statusbar on single-click
* message priority setting
* controllable size of log text in log window
* ability to select part of a text mime-part 
  to reply
* reply and forward flags get set on sending message
* sylpheed man page
* allow user to 'Save all' attachments in a mail with
  multi-attachments
* when saving attachments last directory used is remembered
* new GnuPG interaction method
* GnuPG users are informed of expired signatures and keys.
* GnuPG signed messages are indicated by displaying an icon
  in the Attachment column of the summary view
* 'on-the-fly' changing of the type of GnuPG encryption 
  and/or signing used (MIME/ascii)
* Users can 'List all keys' in the GnuPG key selection dialog
* save 2 or more selected files to a single file
* MH/IMAP/Mbox folder drag 'n' drop support
* Cc and Bcc Template definitions
* Automatic message drafting and cache saving on kill
* SSL certificate management and checking
* Logging can be stopped
* user-definable newsgroup names abbreviation length
* Manual and FAQ remote and local links
* Powerful Extended Search
* Indication of unread answers to marked mails:
  '(!)' is appended to the folder name when a
  marked message has a response
* recognition of the following subject reply prefixes: 
  Re:, Re[n]:, Antw:, Aw:, Antwort:, and 'Res:', 'Rif:'
* 'Message/Remove references' in compose window menu allowing
  the creation of a new thread when replying
* the Actions feature has a progress bar that counts the 
  number of completed tasks when the action runs more than 
  one command
* quote text that has been filtered through an Action when 
  replying
* '%X' Quotation symbol indicating cursor point
* Customisable toolbars
* address auto-completion includes a dynamic LDAP search
* address auro-completion works on nicknames and aliases
* addressbook: import Mutt addressbook
* addressbook: import Pine addressbook
* addressbook copy and paste
* addressbook: 'Mail To' menu entry opens Compose window
* harvest addresses for addressbook
* export addressbook to html file
* Address book: 'Edit Group Details' dialog allows multiple
  selection in either pane
* LDAP functionality improvements
* .mh_sequences file is created in new MH folders
* per-folder collapsed/expanded threads setting
* Option to disable threading by subject
* Password encryption in config files is implemented using 
  unix encrypt and setkey functions.
* configure option --with-config-dir the default value is the
  standard "~/.sylpheed" directory
* "--config-dir" command line option has been added which prints
  the current configuration dir
* 'Clone Account' function
* 'SMTP only' accounts

PLUGINS
~~~~~~~
  All plugins, except SpamAssassin, are built automatically
  if the required libraries are present.

  To load a plugin go to '/Configuration/Plugins' and click
  the 'Load Plugin' button. Plugins are installed in
  $PREFIX/lib/sylpheed/plugins/ and have a suffix of '.so'
  Select the plugin that you want and click 'OK'  
 
  o Clam AntiVirus
    Enables the scanning of message attachments in mail
    received from a POP, IMAP or LOCAL account using Clam 
    AntiVirus. It can optionally delete the mail or save it 
    to a designated folder. Preferences can be found in 
    'Configuration/Other Preferences/Filtering/Clam AntiVirus'. 
    Clam AntiVirus is available from http://clamav.sourceforge.net/
  
  o Dillo HTML Viewer 
    Enables the viewing of html messages using the Dillo web
    browser, version 0.7.0 or newer. It uses Dillo's --local
    option by default for safe browsing. Preferences can be 
    found in 'Configuration/Other Preferences/Message View/
    Dillo Browser'. Dillo is available from 
    http://www.dillo.org/
	
  o Image Viewer
    Enables viewing of attached images and replaces the 
    previous built-in image viewer. Preferences can now be 
    found in 'Configuration/Other Preferences/Messageview/
    Image Viewer'. If the option 'Automatically display
    attached images' is not set, the user is presented with
    a 'Load Image' button in the messageview and information
    about the file.
	
  o MathML Viewer
    Enables the viewing of attachments that have the 
    Content-Type 'text/mathml' using the GtkMathView widget
    which is available from 
    http://helm.cs.unibo.it/mml-widget/

  o PGP/MIME
    Enables verification of signatures and decrypting of messages
    using GnuPG/GPGME, <http://www.gnupg.org/gpgme.html>
    Relies upon the standard configure option:
    	--enable-gpgme
    	
  o SpamAssassin
    Enables the scanning of incoming mail received from a POP,
    IMAP or LOCAL account using SpamAssassin. It can optionally 
    delete mail identified as spam or save it to a designated 
    folder. Preferences can be found in 
    'Configuration/Other Preferences/Filtering/SpamAssassin'. 
    SpamAssassin is available from http://spamassassin.org
    Configure option:
    	--enable-spamassassin-plugin
	
  o Trayicon 
    Places an icon in the system tray that indicates whether
    you have any new mail. A tooltip also shows the current
    new, unread and total number of messages

* More plugins can be found here: 
  http://sylpheed-claws.sourceforge.net/plugins.php
	
TOOLS
~~~~~  
* You will find all of these tools in the 'tools' directory:

  calypso_convert.pl 
	import mbox files exported by calypso
  convert_mbox.pl
  	convert mbox format to MH format
  eud2gc.py
	convert a Eudora (v.3?) addressbook to vCard 
	(GnomeCard) format
  filter_conv.pl
	convert sylpheed main's filter rules into
	claws' filtering format
  freshmeat_search.pl
  	Actions script to lookup the selected text on
	Freshmeat www.freshmeat.net using the configured
	browser
  gif2xface.pl
	convert a gif file to an xface
  google_msgid.pl
  	Actions script to lookup selected message-id on 
	google using mozilla.
  google_search.pl
  	Actions script to lookup up the selected text on
	google using the configured browser
  gpg-sign-syl
	GnuPG cleartext-signing script for use with
	Actions
  kmail2sylpheed.pl
	convert a Kmail addressbook to a Sylpheed
	addressbook
  kmail2sylpheed_v2.pl
	new version of the address book conversion script
	for newer versions of Kmail/Kaddressbook
  maildir2sylpheed.pl
  	convert a maildir format mailbox into MH format
  multiwebsearch.pl
  	search any searchable website for the selected text
  newscache_clean
	clean up old files and directories in the
	newscache directory
  nautilus2sylpheed.sh
  	enables sending files from the Nautilus file manager
	to Sylpheed
  OOo2sylpheed.pl
	enable OpenOffice to send documents through
	sylpheed
  outlook2sylpheed.pl
	convert an Outlook contacts list to a Sylpheed
	addressbook
  sylpheed-switcher
	enable quick-switching between claws and main
	in a non-destructive way
  sylprint.pl
	process a Sylpheed mail and print it using enscript
	if available or lpr if not
  tb2sylpheed
	convert an addressbook exported from The Bat! into 
	a Sylpheed addressbook
  textviewer.sh
  	attempt to view an attachment as plain text
  update-po 
	translators' tool that eases the creation of 
	*.po files
  uudec
	decode UUencoded mails, for use with Actions

----------------------------------------------------------
See ChangeLog.claws and README.claws for full information 
regarding changes in this release. Also see ChangeLog[.jp]
for changes synchronised from sylpheed main.
